require "githabit/version"
require "githabit/app"

if (!File.exist? File.expand_path("~/.githabit.cache") and ARGV[0] != "--setup")
  puts "No cache found please run with --setup argument to intialize cache."
  exit
end

app = Githabit::App.new()

if (ARGV[0] == "--setup")
  app.setup()
end

app.start()
